## UDisksManagerLSM UDisksManagerLSM — Generated C code for the org.freedesktop.UDisks2.Manager.LSM D-Bus interface |

## Functions

GDBusInterfaceInfo * | udisks_manager_lsm_interface_info ()
guint | udisks_manager_lsm_override_properties ()
void | udisks_manager_lsm_proxy_new ()
UDisksManagerLSM * | udisks_manager_lsm_proxy_new_finish ()
void | udisks_manager_lsm_proxy_new_for_bus ()
UDisksManagerLSM * | udisks_manager_lsm_proxy_new_for_bus_finish ()
UDisksManagerLSM * | udisks_manager_lsm_proxy_new_for_bus_sync ()
UDisksManagerLSM * | udisks_manager_lsm_proxy_new_sync ()
UDisksManagerLSM * | udisks_manager_lsm_skeleton_new ()

## Types and Values

| UDisksManagerLSM
struct | UDisksManagerLSMIface
struct | UDisksManagerLSMProxy
struct | UDisksManagerLSMProxyClass
struct | UDisksManagerLSMSkeleton
struct | UDisksManagerLSMSkeletonClass

## Description

This section contains code for working with the org.freedesktop.UDisks2.Manager.LSM D-Bus interface in C.

## Functions

### udisks_manager_lsm_interface_info ()

    GDBusInterfaceInfo *
    udisks_manager_lsm_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Manager.LSM D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 2.3.0

### udisks_manager_lsm_override_properties ()

    guint
    udisks_manager_lsm_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the UDisksManagerLSM interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 2.3.0

### udisks_manager_lsm_proxy_new ()

    void
    udisks_manager_lsm_proxy_new (GDBusConnection *connection,
                                  GDBusProxyFlags flags,
                                  const gchar *name,
                                  const gchar *object_path,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.LSM. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_lsm_proxy_new_finish()` to get the result of the operation.

See `udisks_manager_lsm_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.3.0

### udisks_manager_lsm_proxy_new_finish ()

    UDisksManagerLSM *
    udisks_manager_lsm_proxy_new_finish (GAsyncResult *res,
                                         GError **error);

Finishes an operation started with `udisks_manager_lsm_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_lsm_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerLSMProxy]

Since: 2.3.0

### udisks_manager_lsm_proxy_new_for_bus ()

    void
    udisks_manager_lsm_proxy_new_for_bus (GBusType bus_type,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Like `udisks_manager_lsm_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_lsm_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_manager_lsm_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.3.0

### udisks_manager_lsm_proxy_new_for_bus_finish ()

    UDisksManagerLSM *
    udisks_manager_lsm_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_lsm_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_lsm_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerLSMProxy]

Since: 2.3.0

### udisks_manager_lsm_proxy_new_for_bus_sync ()

    UDisksManagerLSM *
    udisks_manager_lsm_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_manager_lsm_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_manager_lsm_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerLSMProxy]

Since: 2.3.0

### udisks_manager_lsm_proxy_new_sync ()

    UDisksManagerLSM *
    udisks_manager_lsm_proxy_new_sync (GDBusConnection *connection,
                                       GDBusProxyFlags flags,
                                       const gchar *name,
                                       const gchar *object_path,
                                       GCancellable *cancellable,
                                       GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.LSM. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_manager_lsm_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerLSMProxy]

Since: 2.3.0

### udisks_manager_lsm_skeleton_new ()

    UDisksManagerLSM *
    udisks_manager_lsm_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Manager.LSM.

#### Returns

The skeleton object.

[transfer full][type UDisksManagerLSMSkeleton]

Since: 2.3.0

## Types and Values

### UDisksManagerLSM

    typedef struct _UDisksManagerLSM UDisksManagerLSM;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Manager.LSM.

Since: 2.3.0

### struct UDisksManagerLSMIface

    struct UDisksManagerLSMIface {
      GTypeInterface parent_iface;
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Manager.LSM.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

Since: 2.3.0

### struct UDisksManagerLSMProxy

    struct UDisksManagerLSMProxy {
    };

The UDisksManagerLSMProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.3.0

### struct UDisksManagerLSMProxyClass

    struct UDisksManagerLSMProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksManagerLSMProxy.

#### Members

Since: 2.3.0

### struct UDisksManagerLSMSkeleton

    struct UDisksManagerLSMSkeleton {
    };

The UDisksManagerLSMSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.3.0

### struct UDisksManagerLSMSkeletonClass

    struct UDisksManagerLSMSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksManagerLSMSkeleton.

#### Members

Since: 2.3.0